
From: Geert Uytterhoeven <geert@linux-m68k.org>

Atari dsp56k: Add missing `const' keywords (found by sparse)

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/dsp56k.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/char/dsp56k.c~dsp56k-sparse-const drivers/char/dsp56k.c
--- 25/drivers/char/dsp56k.c~dsp56k-sparse-const	2004-07-26 17:25:50.453306264 -0700
+++ 25-akpm/drivers/char/dsp56k.c	2004-07-26 17:25:50.457305656 -0700
@@ -293,10 +293,10 @@ static ssize_t dsp56k_write(struct file 
 		}
 		case 2:  /* 16 bit */
 		{
-			short *data;
+			const short *data;
 
 			count /= 2;
-			data = (short*) buf;
+			data = (const short *)buf;
 			handshake(count, dsp56k.maxio, dsp56k.timeout, DSP56K_TRANSMIT,
 				  get_user(dsp56k_host_interface.data.w[1], data+n++));
 			return 2*n;
@@ -312,10 +312,10 @@ static ssize_t dsp56k_write(struct file 
 		}
 		case 4:  /* 32 bit */
 		{
-			long *data;
+			const long *data;
 
 			count /= 4;
-			data = (long*) buf;
+			data = (const long *)buf;
 			handshake(count, dsp56k.maxio, dsp56k.timeout, DSP56K_TRANSMIT,
 				  get_user(dsp56k_host_interface.data.l, data+n++));
 			return 4*n;
_
